@import url('https://fonts.googleapis.com/css2?family=Familjen+Grotesk:wght@400;600;700&display=swap');

*, *::before,::after{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    font-family: 'Familjen Grotesk', sans-serif;
    background: #000;
    color: #fff;
}

a{
    text-decoration: none;
      color: #fff; 
}

ul{
    list-style: none;
}

/* header/navbar */
.main-header{
     position: fixed;   
     top: 0;
     left: 0;
     width: 100%;
     z-index: 3;
     display: flex;
     justify-content: space-between;           
     align-items: center;                      
     text-transform: uppercase;                 
     height: 100px;
     padding: 0 50px;                            
                                                  

} 

.logo{    
    width: 120px;     
    height:auto;     
}

.logo img{
    display: block;
    width:100% ;
    height: auto;
}
/* Desktop main menu */
.desktop-main-menu{
    margin-right: 80px;   
}
.desktop-main-menu ul{
    display: flex;
}

.desktop-main-menu ul li{
    position: relative; 
    margin-right: 40px;   /*this for space between li items*/
    padding-bottom: 2px;     
}

.desktop-main-menu ul li a::after{
    content: '';
    position: absolute;
    bottom:0;
    left:0;
    width:100%;
    height: 1px;
    background: #fff;
    transform: scaleX(0);  /*this makes the lines go away*/
    transition: transform 0.6s cubic-bezier(0.19, 1, 0.22, 1);
    transform-origin: right center;
   
}

.desktop-main-menu ul li a:hover::after{
  transform:scaleX(1);     
  transform-origin: left center;
  transition-duration: 0.4s;
}

 .showcase{
    position: absolute;
    right: 0;
    width: 100%;
    min-height: 100vh;
    padding: 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #111;
    color: #fff;
    z-index:2;
 }
 
 .main-video{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.8;
}
.section-animate {
    animation: fadeIn 2s ease-in-out;
  }
.text{
    position: relative;
    z-index: 10;
}

.text h2{
    font-size: 5em;
    font-weight: 800;
    line-height: 1em;
    text-transform: uppercase;
    animation: fadeInUp 0.5s ease-in-out;
}
.text h3{
    font-size: 4em;
    font-weight: 700;
    line-height: 1em;
    text-transform: uppercase;
    animation: fadeInUp 0.5s ease-in-out 0.2s;
  animation-fill-mode: both;
}
.text p{
    font-size: 1.1em;
    margin: 20px 0;
    font-weight: 400;
    max-width: 700px;
    
}

.btn{
    position: relative;
    display: inline-block;
    cursor: pointer;
    text-align: center;
    min-width: 100px;
    padding: 10px 30px;
    margin-top: 10px;
    border: 2px solid #fff;
    text-transform: uppercase;
    font-weight: bold;
    overflow: hidden;
    z-index: 2;
  }
  
  .btn:hover span {
    color: #000;
  }
  
  .btn .hover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    color: #000;
    z-index: -1;
    transform: translateY(100%);
    transition: transform 0.6s cubic-bezier(0.19, 1, 0.22, 1);
  }
  
  .btn:hover .hover {
    transform: translateY(0);
  }
  .btn-container .btn:first-child {
    margin-right: 10px;
  }
  
  .btn-container .btn:last-child {
    margin-left: 10px;
  }
  .social{
    position: absolute;
    bottom: 110px;
    z-index: 10;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .social li a {
    display: inline-block;
    font-size: 1.5rem;
    color: #fff;
    margin-right: 20px;
    transform: translateY(-5px);
    transition: transform 0.5s;
  }
  .social li a:hover{
    transform: translateY(-10px);
  }
  .nav {
    height: 20px; /* change the height to the desired value */
  }
  /* preloader */
  #loader {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-color: #fff;
  }
  
  #loader:before {
    content: "";
    display: block;
    position: absolute;
    left: 50%;
    top: 50%;
    width: 150px;
    height: 150px;
    margin: -75px 0 0 -75px;
    border-radius: 50%;
    border: 3px solid transparent;
    border-top-color: #3498db;
    -webkit-animation: spin 2s linear infinite;
    animation: spin 2s linear infinite;
  }
  
  @-webkit-keyframes spin {
    0% {
      -webkit-transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
    }
  }
  
  @keyframes spin {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }
  
  /* Hide the loader when the page is fully loaded */
  .hide-loader {
    display: none;
  }
  
  /*Hamburger*/
  /* .hamburger{
    position: fixed;
    top: 40px;
    right: 20px;
    z-index: 10;
    cursor: pointer;
    width: 20px;
    height: 20px;
    background: none;
    border: none;
  }
  .hamburger-top,
  .hamburger-middle,
  .hamburger-bottom {
    position:absolute;
    width: 100%;
    height: 2px;
    top: 0; */
    /* left: 0;
    background: #fff;
    transition: all 0.5s;
  }
  .hamburger-middle{
    transform: translateY(5px);
  }
  .hamburger-bottom{
    transform: translateY(10px);
  } */
  
  /* Transition hamburger to X when open
.open {
    transform: rotate(90deg);
  }
  
  .open .hamburger-top {
    transform: rotate(45deg) translateY(6px) translateX(6px);
  }
  
  .open .hamburger-middle {
    display: none;
  }
  
  .open .hamburger-bottom {
    transform: rotate(-45deg) translateY(6px) translateX(-6px);
  }
   */
  /* overlay-show
  .overlay-show{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0, 0, 0,0.5);
    z-index: 3;
  /* } 
  /* Animations */
@keyframes fadeInUp {
    0% {
      opacity: 0;
      transform: translateY(140px);
    }
    100% {
      opacity: 1;
      transform: translateY(0);
    }
  }
  
  @keyframes fadeIn {
    0% {
      opacity: 0;
    }
  
    100% {
      opacity: 1;
    }
  }
  @keyframes fadeBounce {
    0%,
    20%,
    50%,
    80%,
    100% {
      opacity: 0;
      transform: translateY(-20px);
    }
    40% {
      opacity: 1;
      transform: translateY(0);
    }
  }
  /* Media query */ 
@media(max-width:991px){
    .showcase,.showcase .main-header{
        padding: 40px;
    }
    .text h2{
        font-size: 3em;
    }
    .text h3{
        font-size: 2em;
    }
    
}
@media(max-width:960px){
    .desktop-main-menu{
        display: none;
        
    }
    .logo{
        width: 150px;
         margin: auto;
    }
}
  